### Method

# Gtk IconThemelookup_by_gicon

#### Declaration [src]

    GtkIconPaintable*
    gtk_icon_theme_lookup_by_gicon (
      GtkIconTheme* self,
      GIcon* icon,
      int size,
      int scale,
      GtkTextDirection direction,
      GtkIconLookupFlags flags
    )

#### Description [src]

Looks up a icon for a desired size and window scale.

The icon can then be rendered by using it as a `GdkPaintable`, or you can get information such as the filename and size.

#### Parameters

`icon`

  Type: `GIcon`

  The `GIcon` to look up.

  The data is owned by the caller of the method.

`size`

  Type: `int`

  Desired icon size.

`scale`

  Type: `int`

  The desired scale.

`direction`

  Type: `GtkTextDirection`

  Text direction the icon will be displayed in.

`flags`

  Type: `GtkIconLookupFlags`

  Flags modifying the behavior of the icon lookup.

#### Return value

Type: `GtkIconPaintable`

A `GtkIconPaintable` containing information about the icon. Unref with `g_object_unref()`

The caller of the method takes ownership of the data, and is responsible for freeing it.